Bug 118467 - [patch] audio/sphinx unbreak fix build with GCC 4.2
Summary: [patch] audio/sphinx unbreak fix build with GCC 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-06 18:50 UTC by Pietro Cerutti
Modified: 2007-12-10 22:37 UTC (History)
0 users

See Also:


Attachments
_sphinx.diff (11.61 KB, patch)
2007-12-06 18:50 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2007-12-06 18:50:01 UTC

The following patch:

- fixes some new GCC 4.2 errors
- fixes objversion 
- cleans almost all warnings

How-To-Repeat: 

cd /usr/ports/audio/sphinx && make
Comment 1 Edwin Groothuis freebsd_committer 2007-12-06 18:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Pietro Cerutti 2007-12-07 01:23:18 UTC
Someone between my host and GNATS eat the ^M in
files/patch-src-libsphinx2fe_fe_sigproc.c..

Here's the patch w/ ^M's...

http://www.gahr.ch/FreeBSD/patches/118467_sphinx.diff

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 3 dfilter service freebsd_committer 2007-12-10 22:29:54 UTC
miwi        2007-12-10 22:29:47 UTC

  FreeBSD ports repository

  Modified files:
    audio/sphinx         Makefile 
    audio/sphinx/files   patch-src_libsphinx2_cdcn_update.c 
  Added files:
    audio/sphinx/files   patch-src-examples_clicore.c 
                         patch-src-examples_srvcore.c 
                         patch-src-libsphinx2-include_pconf.h 
                         patch-src-libsphinx2_blk_cdcn_norm.c 
                         patch-src-libsphinx2_cdcn_norm.c 
                         patch-src-libsphinx2_eht_quit.c 
                         patch-src-libsphinx2_err.c 
                         patch-src-libsphinx2_linklist.c 
                         patch-src-libsphinx2_prime.c 
                         patch-src-libsphinx2_r_agc_noise.c 
                         patch-src-libsphinx2_sc_vq.c 
                         patch-src-libsphinx2_search.c 
                         patch-src-libsphinx2fe_fe_sigproc.c 
  Log:
  - Fix build with gcc 4.2
  
  PR:             118467
  Submitted by:   Pietro Cerutti <gahr@gahr.ch>
  Approved by:    portmgr (erwin)
  
  Revision  Changes    Path
  1.22      +9 -12     ports/audio/sphinx/Makefile
  1.1       +11 -0     ports/audio/sphinx/files/patch-src-examples_clicore.c (new)
  1.1       +11 -0     ports/audio/sphinx/files/patch-src-examples_srvcore.c (new)
  1.1       +8 -0      ports/audio/sphinx/files/patch-src-libsphinx2-include_pconf.h (new)
  1.1       +37 -0     ports/audio/sphinx/files/patch-src-libsphinx2_blk_cdcn_norm.c (new)
  1.1       +27 -0     ports/audio/sphinx/files/patch-src-libsphinx2_cdcn_norm.c (new)
  1.1       +10 -0     ports/audio/sphinx/files/patch-src-libsphinx2_eht_quit.c (new)
  1.1       +10 -0     ports/audio/sphinx/files/patch-src-libsphinx2_err.c (new)
  1.1       +19 -0     ports/audio/sphinx/files/patch-src-libsphinx2_linklist.c (new)
  1.1       +9 -0      ports/audio/sphinx/files/patch-src-libsphinx2_prime.c (new)
  1.1       +10 -0     ports/audio/sphinx/files/patch-src-libsphinx2_r_agc_noise.c (new)
  1.1       +10 -0     ports/audio/sphinx/files/patch-src-libsphinx2_sc_vq.c (new)
  1.1       +28 -0     ports/audio/sphinx/files/patch-src-libsphinx2_search.c (new)
  1.1       +11 -0     ports/audio/sphinx/files/patch-src-libsphinx2fe_fe_sigproc.c (new)
  1.2       +25 -9     ports/audio/sphinx/files/patch-src_libsphinx2_cdcn_update.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-12-10 22:37:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!